Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
com.tritondigital.sdksample.ads.InterstitialAdsActivity Class Reference

Shows how to display an on-demand interstitial ad. More...

Inheritance diagram for com.tritondigital.sdksample.ads.InterstitialAdsActivity:

## Public Member Functions
void | onInterstitialClosed (Interstitial interstitial)
void | onInterstitialFinished (Interstitial interstitial)
void | onInterstitialError (Interstitial interstitial, int errorCode)
void | onInterstitialStarted (Interstitial Interstitial)
Public Member Functions inherited from com.tritondigital.sdksample.ads.AdsActivity
void | onClick (View v)

## Protected Member Functions
void | onCreate (Bundle savedInstanceState)
void | onDestroy ()
int | getLayout ()
void | loadAdRequest (AdRequestBuilder adRequestBuilder)
Protected Member Functions inherited from com.tritondigital.sdksample.ads.AdsActivity
void | reset ()
void | setStatus (String status)
void | setAdDuration (String duration)

## Detailed Description

Shows how to display an on-demand interstitial ad.

## Member Function Documentation

## ◆ getLayout()

int com.tritondigital.sdksample.ads.InterstitialAdsActivity.getLayout | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

## ◆ loadAdRequest()

void com.tritondigital.sdksample.ads.InterstitialAdsActivity.loadAdRequest | ( | AdRequestBuilder | adRequestBuilder | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

## ◆ onCreate()

void com.tritondigital.sdksample.ads.InterstitialAdsActivity.onCreate | ( | Bundle | savedInstanceState | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

The documentation for this class was generated from the following file:

- released_modules/src/main/java/com/tritondigital/sdksample/ads/InterstitialAdsActivity.java